eth_syncing

Returns an object with data about the sync status or false.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

  • No parameters are needed.
curl https://ethereum-mainnet-archive.allthatnode.com/8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj \
--request POST \
--header "Content-Type: application/json" \
--data '{
    "jsonrpc":"2.0",
    "id":1,
    "method":"eth_syncing",
    "params":[]
}'

Returns

  • Sync Status :BOOLEAN - Returnsfalse when not syncing.
  • Sync Blocks: OBJECT:
    • startingBlock: QUANTITY - The block at which the import started (will only be reset, after the sync reached his head)
    • currentBlock: QUANTITY - The current block, same as eth_blockNumber
    • highestBlock: QUANTITY - The estimated highest block
{"jsonrpc":"2.0","id":1,"result":false}

Try Yourself

Path Params
string
required
Defaults to 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj
Body Params
string
required
Defaults to { "jsonrpc":"2.0", "id":1, "method":"eth_getProof", "params":[ "0x7F0d15C7FAae65896648C8273B6d7E43f58Fa842", ["0x56e81f171bcc55a6ff8345e692c0f86e5b48e01b996cadc001622fb5e363b421"], "latest" ] }
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!